com.fasterxml.jackson.databind.deser

## Class SettableAnyProperty.JsonNodeFieldAnyProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.SettableAnyProperty
  - - com.fasterxml.jackson.databind.deser.SettableAnyProperty.JsonNodeFieldAnyProperty

All Implemented Interfaces:
  Serializable

Enclosing class:
  SettableAnyProperty

    protected static class SettableAnyProperty.JsonNodeFieldAnyProperty
    extends SettableAnyProperty
    implements Serializable

Since:
  2.14
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`SettableAnyProperty.JsonNodeFieldAnyProperty, SettableAnyProperty.JsonNodeParameterAnyProperty, SettableAnyProperty.MapFieldAnyProperty, SettableAnyProperty.MapParameterAnyProperty, SettableAnyProperty.MethodAnyProperty`

### Field Summary

Fields
`protected JsonNodeFactory` `_nodeFactory`

### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_keyDeserializer, _property, _setter, _setterIsField, _type, _valueDeserializer, _valueTypeDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`JsonNodeFieldAnyProperty(BeanProperty property, AnnotatedMember field, JavaType valueType, JsonDeserializer<Object> valueDeser, JsonNodeFactory nodeFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `_set(Object instance, Object propName, Object value)`
`Object` `deserialize(com.fasterxml.jackson.core.JsonParser p, DeserializationContext ctxt)`
`void` `deserializeAndSet(com.fasterxml.jackson.core.JsonParser p, DeserializationContext ctxt, Object instance, String propName)` Method called to deserialize appropriate value, given parser (and context), and set it using appropriate method (a setter method).
`protected void` `setProperty(Object instance, String propName, JsonNode value)`
`SettableAnyProperty` `withValueDeserializer(JsonDeserializer<Object> deser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_throwAsIOE, constructForJsonNodeField, constructForJsonNodeParameter, constructForMapField, constructForMapParameter, constructForMethod, createParameterObject, fixAccess, getParameterIndex, getProperty, getPropertyName, getType, hasValueDeserializer, isFieldType, isSetterType, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _nodeFactory

    protected final JsonNodeFactory _nodeFactory

### Constructor Detail

#### JsonNodeFieldAnyProperty

    public JsonNodeFieldAnyProperty(BeanProperty property,
                                    AnnotatedMember field,
                                    JavaType valueType,
                                    JsonDeserializer<Object> valueDeser,
                                    JsonNodeFactory nodeFactory)

### Method Detail

#### deserializeAndSet

    public void deserializeAndSet(com.fasterxml.jackson.core.JsonParser p,
                                  DeserializationContext ctxt,
                                  Object instance,
                                  String propName)
                           throws IOException

Description copied from class: `SettableAnyProperty`
Method called to deserialize appropriate value, given parser (and context), and set it using appropriate method (a setter method).

Overrides:
  `deserializeAndSet` in class `SettableAnyProperty`
Throws:
  `IOException`

#### deserialize

    public Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                              DeserializationContext ctxt)
                       throws IOException

Overrides:
  `deserialize` in class `SettableAnyProperty`
Throws:
  `IOException`

#### _set

    protected void _set(Object instance,
                        Object propName,
                        Object value)
                 throws Exception

Specified by:
  `_set` in class `SettableAnyProperty`
Throws:
  `Exception`

#### setProperty

    protected void setProperty(Object instance,
                               String propName,
                               JsonNode value)
                        throws IOException

Throws:
  `IOException`

#### withValueDeserializer

    public SettableAnyProperty withValueDeserializer(JsonDeserializer<Object> deser)

Specified by:
  `withValueDeserializer` in class `SettableAnyProperty`